<?php
namespace FLXDashboardGroups;

class PluginAdmin {

	private $plugin_name;
    private $version;
    
	public $pluginsGroupsModule;
	public $pagesGroupsModule;
	public $settingsModule;

	public function __construct($plugin_name, $version) {
		$this->plugin_name = $plugin_name;
        $this->version = $version;
        
        $this->settingsModule = new SettingsModule();
        

		if(!function_exists('get_plugins')) include_once(ABSPATH .'wp-admin/includes/plugin.php');
		
        if(
            !isset(SettingsModule::$settings['enable_plugins_groups'])
            || (SettingsModule::$settings['enable_plugins_groups'] == 1)
        ){
            $this->pluginsGroupsModule = new PluginsGroupsModule(
                get_plugins() ?: []
            );
        }

		if(
            !isset(SettingsModule::$settings['enable_pages_groups'])
            || (SettingsModule::$settings['enable_pages_groups'] == 1)
        ){
            $this->pagesGroupsModule = new PagesGroupsModule();
        }
	}
	
	public function add_menu(){
		add_options_page(
			'Dashboard Groups Settings',
			'Dashboard Groups',
			'manage_options',
			'flx_dashboard_groups',
			[$this, 'settings_page']
        );
	}
	
	public function settings_page() {
		include(__DIR__.'/../admin/pages/settings_page.php');
    }
    
	public function enqueue_styles() {
		wp_enqueue_style($this->plugin_name, plugin_dir_url( __DIR__ ).'admin/css/flx_dashboard_groups-admin.css', [], $this->version, 'all');
	}

	public function enqueue_scripts() {
		wp_enqueue_script( $this->plugin_name, plugin_dir_url( __DIR__ ).'admin/js/flx_dashboard_groups-admin.js', ['jquery'], $this->version, false);
	}
}
